tigase.xmpp.impl

## Class JabberIqRegister.UserRegisteredEvent

- java.lang.Object
- - tigase.xmpp.impl.JabberIqRegister.UserRegisteredEvent

- Enclosing class:
    JabberIqRegister

      public static class JabberIqRegister.UserRegisteredEvent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserRegisteredEvent(BareJID user, String email, boolean confirmationRequired, Map<String,String> params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEmail()`
    `Map<String,String>` | `getParams()`
    `BareJID` | `getUser()`
    `boolean` | `isConfirmationRequired()`
    `void` | `setConfirmationRequired(boolean confirmationRequired)`
    `void` | `setEmail(String email)`
    `void` | `setParams(Map<String,String> params)`
    `void` | `setUser(BareJID user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserRegisteredEvent

          public UserRegisteredEvent(BareJID user,
                                     String email,
                                     boolean confirmationRequired,
                                     Map<String,String> params)

  - ### Method Detail

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getParams

          public Map<String,String> getParams()

    - #### setParams

          public void setParams(Map<String,String> params)

    - #### getUser

          public BareJID getUser()

    - #### setUser

          public void setUser(BareJID user)

    - #### isConfirmationRequired

          public boolean isConfirmationRequired()

    - #### setConfirmationRequired

          public void setConfirmationRequired(boolean confirmationRequired)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.